Bug 174599 - ftp leaks socket fds when it fails to open a file
Summary: ftp leaks socket fds when it fails to open a file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ftp (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 187539
TreeView+ depends on / blocked
 
Reported: 2005-11-30 17:00 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0409
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 21:36:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netkit-ftp-close-files-on-no-file.patch (487 bytes, patch)
2005-11-30 17:00 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0409 normal SHIPPED_LIVE ftp bug fix update 2006-07-19 19:18:00 UTC

Description Bastien Nocera 2005-11-30 17:00:31 UTC
ftp-0.17-22

1. Connect to an ftp site using ftp
2. Count the number of opened sockets using lsof
3. Try to "get" an inexistant file a good number of times
4. See the number of file descriptors increase compared to 2.

Patch attached.

Comment 1 Bastien Nocera 2005-11-30 17:00:32 UTC
Created attachment 121638 [details]
netkit-ftp-close-files-on-no-file.patch

Comment 3 Petr Raszyk 2005-12-02 15:54:52 UTC
Thanks for hints above.
ftp does not close socket descriptor in other cases too.
I hope to cover all.

NOTE: 'passive off' helps for issue above.

Comment 4 Petr Raszyk 2005-12-02 15:56:34 UTC
Fixed in current release
ftp-0.17 Release 31

Comment 11 Red Hat Bugzilla 2006-05-10 21:36:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0409.html



Note You need to log in before you can comment on or make changes to this bug.